<?php
require_once('conexion_servicios.php');

date_default_timezone_set("America/Bogota");

session_start();

			$conexion1 = new mysqli($host, $usuario, $password, $base_datos);//conexion		
			$conexion2 = new mysqli($host, $usuario, $password, $base_datos);//conexion	
			$conexion3 = new mysqli($host, $usuario, $password, $base_datos);//conexion		
					
		if ( isset($_SESSION['usuario']))
        {
  		
		$query_atencion = $conexion3->query("SELECT * FROM tblfila where tblfila.EstadoServicio=1 and tblfila.CedulaFunAtencion="."'".$_SESSION['cedula']."'");
			$array_atencion = $query_atencion->fetch_assoc();	
			
			$CantidadAtencion=	mysqli_num_rows($query_atencion);			
			
			if ($CantidadAtencion==0)
			{
		
			
			$query_fila_general = $conexion1->query("SELECT * FROM tblfila where tblfila.EstadoServicio=1 and tblfila.CedulaFunAtencion=0 and tblfila.CodigoRol="."'".$_SESSION['rol_filas']."' order by EsPrioritario desc, FechaHoraIngreso asc limit 1");
			$array_fila_general = $query_fila_general->fetch_assoc();
			//$cantidad_candidatos = mysqli_num_rows($query_lista_candidatos);				
			
			$IdActualizacion=$array_fila_general['ID'];					
					
			
			$consulta2= "update  tblfila set CedulaFunAtencion="."'".$_SESSION['cedula']."', FechaHoraInicioSer="."'".date("Y-m-d H:i:s")."' where ID='".$IdActualizacion."'";
			mysqli_query($conexion2, $consulta2);
			
			header("Location: atencion.php"); 						
			
		}
		else
		{
			echo '<script language = javascript>
					alert("Ud tiene un servicio activo")
					self.location = "atencion.php"
					</script>';	
			
		}
		
		
		
		}

		



		else{		
		
					echo '<script language = javascript>
					alert("¡¡¡¡Ud aún no ha iniciado sesión!!!!")
					self.location = "login.php"
					</script>';	
		
			
		}
			

?>


<!DOCTYPE html>
<html lang="es">
<head>
	<meta charset="UTF-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<link href="css/estilos1.css" rel="stylesheet" type="text/css" />
	<link rel="shortcut icon" href="imagenes/favicon.png">
	<title>Redireccionar</title>
</head>
<body>
	
</body>
</html>